% --------------------------------------------------------------------- %
%  Additonal material for manuscript 
%  "Paracrine and Autocrine Regulation of Gene Expression by 
%   Wnt-Inhibitor Dickkopf in  Wild-type and Mutant Hepatocytes"
%   by Niklas Hartung, Uwe Benary, Jana Wolf, Bente Kofahl
%
%  code by: Niklas Hartung, University of Potsdam, 2017
%
% --------------------------------------------------------------------- %
%      creates Figs. 3-8 of main text and Supplemental Figs. S1-S3      %
% --------------------------------------------------------------------- %
close all
clear all

addpath functions figs

%% initialise model

model = spacialwnt_index(21);       % 21 cells along sinusoid
par = spacialwnt_parameters(model); % model with default parameters
T = 40000;                          % simulation time to reach steady state


%% Figures

% main text
fig3_3D(par,model,T)
fig4(par,model,T)
fig5(par,model,T)
fig6(par,model,T)
fig7(par,model,T)
fig8(par,model,T) 

% supplement
figS1(par,model,T)
figS2(par,model,T)
figS3(par,model,T)
 
