%PAR = SETPAR(PAR, NAME, VAL, IP) Set parameter to value using index struct
%	PAR: a parameter vector
%	NAME: name of the parameter to change
%	VAL: new value of parameter 'NAME'
%	IP: the indexing structure
%
%   Manuscript:
%
%  "Paracrine and Autocrine Regulation of Gene Expression by 
%   Wnt-Inhibitor Dickkopf in  Wild-type and Mutant Hepatocytes"
%   by Niklas Hartung, Uwe Benary, Jana Wolf, Bente Kofahl
%
%  code by: Niklas Hartung, University of Potsdam, 2017 
function par = setpar(par, name, val, Ip)
    assert(ismember(name, fieldnames(Ip)));
    assert(length(Ip.(name)) == length(val));

    par(Ip.(name)) = val;

end

