%PAR = SETPAR_SCENARIO(PAR, IP, SCENARIO) Switch off parts of the model
%   PAR: parameter vector
%   IP: parameter indexing structure
%   SCENARIO: a string specifying the scenario
%   
%   Output is a modified parameter vector
%
%   Manuscript:
%
%  "Paracrine and Autocrine Regulation of Gene Expression by 
%   Wnt-Inhibitor Dickkopf in  Wild-type and Mutant Hepatocytes"
%   by Niklas Hartung, Uwe Benary, Jana Wolf, Bente Kofahl
%
%  code by: Niklas Hartung, University of Potsdam, 2017 
function par = setpar_scenario(par, Ip, scenario)

    switch scenario
        case 'diff_off'
            par(Ip.D_diff) = 0;
        case 'fb_off'
            par(Ip.c_mRNA) = 0;
        case 'rec_off'
            par(Ip.c_mRNA) = 0;
            par(Ip.wnt) = 1.3279 * par(Ip.wnt);
        otherwise
            error('unknown scenario')
    end
    
end

